Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.datatype
Class FlowJXPathSelectionList

    java.lang.Object
      org.apache.cocoon.forms.datatype.FlowJXPathSelectionList

All Implemented Interfaces:
  SelectionList

public class FlowJXPathSelectionList
extends Object
implements SelectionList

A selection list that takes its values from the flow page data.

Version:
  $Id: FlowJXPathSelectionList.java 597535 2007-11-23 03:49:58Z joerg $
See Also:
  `FlowJXPathSelectionListBuilder`

Field Summary

Fields inherited from interface org.apache.cocoon.forms.datatype.SelectionList
`ITEM_EL, LABEL_EL, SELECTION_LIST_EL`

Constructor Summary
`FlowJXPathSelectionList(Object model, String valuePath, String labelPath, Datatype datatype)` Builds a dynamic selection list from an in-memory collection.
`FlowJXPathSelectionList(org.apache.cocoon.processing.ProcessInfoProvider processInfoProvider, String listPath, String valuePath, String labelPath, Datatype datatype, String nullText, boolean nullTextIsI18nKey, String i18nCatalog, boolean labelIsI18nKey)`

Method Summary
`void` | `generateSaxFragment(ContentHandler contentHandler, Locale locale)`
`Datatype` | `getDatatype()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowJXPathSelectionList

    public FlowJXPathSelectionList(org.apache.cocoon.processing.ProcessInfoProvider processInfoProvider,
                                   String listPath,
                                   String valuePath,
                                   String labelPath,
                                   Datatype datatype,
                                   String nullText,
                                   boolean nullTextIsI18nKey,
                                   String i18nCatalog,
                                   boolean labelIsI18nKey)

### FlowJXPathSelectionList

    public FlowJXPathSelectionList(Object model,
                                   String valuePath,
                                   String labelPath,
                                   Datatype datatype)

  Builds a dynamic selection list from an in-memory collection.

Parameters:
  `model` - The collection used as a model for the selection list.
  `valuePath` - An XPath expression referring to the attribute used to populate the values of the list's items.
  `labelPath` - An XPath expression referring to the attribute used to populate the labels of the list's items.
  `datatype` -
See Also:
  `Field.setSelectionList(Object model, String valuePath, String labelPath)`

Method Detail

### getDatatype

    public Datatype getDatatype()

  Specified by:
    `getDatatype` in interface `SelectionList`

### generateSaxFragment

    public void generateSaxFragment(ContentHandler contentHandler,
                                    Locale locale)
                             throws SAXException

  Specified by:
    `generateSaxFragment` in interface `SelectionList`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.